summaryrefslogtreecommitdiffstats
path: root/config.tests
diff options
context:
space:
mode:
authoraxis <qt-info@nokia.com>2010-02-25 13:41:11 +0100
committeraxis <qt-info@nokia.com>2010-02-25 13:52:34 +0100
commit1edd1229b5a2381da2a85ebbfb4539d83a13ef3f (patch)
treedc2a34c1d608ca83f4fefeb5dbd37876fb632386 /config.tests
parent01be0a8fa617ff65eae73865c111e70fdcc5b87a (diff)
Added configure test for audio backend on Symbian.
Diffstat (limited to 'config.tests')
-rw-r--r--config.tests/symbian/audio/.gitignore2
-rw-r--r--config.tests/symbian/audio/audio.cpp47
-rw-r--r--config.tests/symbian/audio/audio.pro7
-rwxr-xr-xconfig.tests/symbian/compile.test46
4 files changed, 102 insertions, 0 deletions
diff --git a/config.tests/symbian/audio/.gitignore b/config.tests/symbian/audio/.gitignore
new file mode 100644
index 0000000000..87a251c68a
--- /dev/null
+++ b/config.tests/symbian/audio/.gitignore
@@ -0,0 +1,2 @@
+audio.rpp
+audio.rsg
diff --git a/config.tests/symbian/audio/audio.cpp b/config.tests/symbian/audio/audio.cpp
new file mode 100644
index 0000000000..4ffc728d21
--- /dev/null
+++ b/config.tests/symbian/audio/audio.cpp
@@ -0,0 +1,47 @@
+/****************************************************************************
+**
+** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** All rights reserved.
+** Contact: Nokia Corporation (qt-info@nokia.com)
+**
+** This file is part of the config.tests of the Qt Toolkit.
+**
+** $QT_BEGIN_LICENSE:LGPL$
+** No Commercial Usage
+** This file contains pre-release code and may not be distributed.
+** You may use this file in accordance with the terms and conditions
+** contained in the Technology Preview License Agreement accompanying
+** this package.
+**
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 as published by the Free Software
+** Foundation and appearing in the file LICENSE.LGPL included in the
+** packaging of this file. Please review the following information to
+** ensure the GNU Lesser General Public License version 2.1 requirements
+** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+**
+** In addition, as a special exception, Nokia gives you certain additional
+** rights. These rights are described in the Nokia Qt LGPL Exception
+** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+**
+** If you have questions regarding the use of this file, please contact
+** Nokia at qt-info@nokia.com.
+**
+**
+**
+**
+**
+**
+**
+**
+** $QT_END_LICENSE$
+**
+****************************************************************************/
+
+#include <sounddevice.h>
+
+int main(int argc, char **argv)
+{
+ return 0;
+}
diff --git a/config.tests/symbian/audio/audio.pro b/config.tests/symbian/audio/audio.pro
new file mode 100644
index 0000000000..abbde6e05b
--- /dev/null
+++ b/config.tests/symbian/audio/audio.pro
@@ -0,0 +1,7 @@
+TARGET = audio
+SOURCES = audio.cpp
+
+INCLUDEPATH += $${EPOCROOT}epoc32/include/mmf/server
+INCLUDEPATH += $${EPOCROOT}epoc32/include/mmf/common
+
+LIBS += -lmmfdevsound
diff --git a/config.tests/symbian/compile.test b/config.tests/symbian/compile.test
new file mode 100755
index 0000000000..20a3039405
--- /dev/null
+++ b/config.tests/symbian/compile.test
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+SUCCESS=no
+QMKSPEC=$1
+XPLATFORM=`basename "$1"`
+QMAKE_CONFIG=$2
+VERBOSE=$3
+SRCDIR=$4
+OUTDIR=$5
+TEST=$6
+EXE=`basename "$6"`
+DESCRIPTION=$7
+shift 7
+LFLAGS=""
+INCLUDEPATH=""
+CXXFLAGS=""
+MAC_ARCH_CXXFLAGS=""
+MAC_ARCH_LFLAGS=""
+
+# debuggery
+[ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION auto-detection... ($*)"
+
+test -d "$OUTDIR/$TEST" || mkdir -p "$OUTDIR/$TEST"
+
+cd "$OUTDIR/$TEST"
+
+test -r Makefile && $MAKE distclean >/dev/null 2>&1
+
+"$OUTDIR/bin/qmake" -nocache -spec "$QMKSPEC" "CONFIG+=$QMAKE_CONFIG" "LIBS*=$LFLAGS" "LIBS+=$MAC_ARCH_LFLAGS" "INCLUDEPATH*=$INCLUDEPATH" "QMAKE_CXXFLAGS*=$CXXFLAGS" "QMAKE_CXXFLAGS+=$MAC_ARCH_CXXFLAGS" "$SRCDIR/$TEST/$EXE.pro" -o "$OUTDIR/$TEST/Makefile"
+
+if [ "$VERBOSE" = "yes" ]; then
+ $MAKE
+else
+ $MAKE >/dev/null 2>&1
+fi
+
+[ -x "$EXE.exe" ] && SUCCESS=yes
+
+# done
+if [ "$SUCCESS" != "yes" ]; then
+ [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION disabled."
+ exit 1
+else
+ [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION enabled."
+ exit 0
+fi